"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Parser {
    static parse({ downloader }) {
        downloader.setOnTaskOutputFileNaming((chunk) => {
            const chunkIdMatch = chunk.url.match(/\/(\d+?)\/goap/);
            if (chunkIdMatch) {
                return chunkIdMatch[1];
            }
            else {
                throw new Error(`Bad chunk url: ${chunk.url}`);
            }
        });
        return {};
    }
}
exports.default = Parser;
//# sourceMappingURL=youtube.js.map