"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = __importDefault(require("../../utils/common"));
class Parser {
    static parse({ downloader }) {
        if (!downloader.key) {
            throw new Error("To download DMM, you need to set a key manually");
        }
        for (const key of downloader.m3u8.encryptKeys) {
            downloader.saveEncryptionKey(common_1.default.buildFullUrl(downloader.m3u8.m3u8Url, key), downloader.key);
        }
        return {};
    }
}
exports.default = Parser;
Parser.prefix = "";
//# sourceMappingURL=dmm.js.map